Subject: [bug#68524] [PATCH 0/2] Support root encryption and secure boot

From: Nikolaos Chatzikonstantinou <[email-masked]>
Date: Sun, 24 Mar 2024 05:38:47 -0400

On Sat, Mar 23, 2024 at 3:40 PM Lilah Tascheter <[email-masked]> wrote:
> and yeah don't worry it's isolated. there's only two bits of systemd
> used, systemd-boot-stub and ukify. ukify is pretty much just a single
> python script, and systemd-boot-stub is just a bit of code tacked on to
> the boot process to handle combining the kernel, args, and initrd
> together. no daemons or code past the bootloader at all!
>
> of note I'm currently in the process of rewriting the entire guix
> bootloader stack to make this work a Lot nicer. sooo hopefully that
> gets finished soon.

Very exciting! I am looking forward to looking at the code.

Regards,
Nikolaos Chatzikonstantinou